require('lsp-progress').setup({
	spinner = require('spinners').dwarf_fortress,
	spin_update_time = 200,
	client_format = function(client_name, spinner, series_messages)
		return #series_messages > 0
			and (
				table.concat(series_messages, ", ")
				.. " " .. spinner
				.. " [" .. client_name .. "]"
			)
			or nil
	end,
})

require('lualine').setup {
	options = {
		icons_enabled = true,
		theme = 'auto',
		component_separators = { left = '', right = '' },
		section_separators = { left = '', right = '' },
		disabled_filetypes = {
			statusline = {},
			winbar = {},
		},
		ignore_focus = {},
		always_divide_middle = true,
		globalstatus = false,
		refresh = {
			statusline = 200,
			tabline = 1000,
			winbar = 1000,
		}
	},
	sections = {
		lualine_a = { 'mode' },
		lualine_b = { 'branch', 'diff', 'diagnostics' },
		lualine_c = { 'filename' },
		lualine_x = {
			function()
				return require('lsp-progress').progress()
			end
		},
		lualine_y = { 'encoding', 'fileformat', 'filetype' },
		lualine_z = { 'location' }
	},
	inactive_sections = {
		lualine_a = {},
		lualine_b = {},
		lualine_c = { 'filename' },
		lualine_x = { 'location' },
		lualine_y = {},
		lualine_z = {}
	},
	tabline = {},
	winbar = {},
	inactive_winbar = {},
	extensions = {}
}
